Skip to main content

API Keys

API keys offer an alternate method of authentication to the Meltano Cloud API using a client ID and secret.


Objects​

API Key​

PathJSON TypeFormatDescription
idstringVersion 4 UUIDThe API key ID
createdstringISO 8601 timestampThe instant when the API key was created
lastModifiedstringISO 8601 timestampThe instant when the API key was last modified
namestringThe API key name
clientIdstringThe API key client ID
profileIdstringThe API key owner profile ID
{
"id" : "21142d39-e79f-4689-9c83-07bf53edd552",
"created" : "2026-09-29T20:49:16.504877",
"lastModified" : "2026-09-29T20:49:16.504878",
"name" : "SIT-generated api key (2026-09-29T20:49:16.432072622)",
"clientId" : "19kIkoRZ1iPx3aTO6nQCTJLA7GnFZY7R",
"profileId" : "auth0|6a21dc7aa1db2e036a222942",
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/apikeys/21142d39-e79f-4689-9c83-07bf53edd552"
},
"update apikey" : {
"href" : "https://app.meltano.com/api/apikeys/21142d39-e79f-4689-9c83-07bf53edd552"
},
"delete apikey" : {
"href" : "https://app.meltano.com/api/apikeys/21142d39-e79f-4689-9c83-07bf53edd552"
},
"profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
}
}
}

Requests​

View all API keys​

GET /api/apikeys

Returns all API keys owned by the authenticated user profile.

Prerequisites​

  • The authenticated user must own a Meltano Cloud account
  • The API key {apikey-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/apikeys' -i -X GET

Response​

200 OK

API key collection with HAL links.

{
"_embedded" : {
"apikeys" : [ {
"id" : "403d340f-f89d-4b3b-a7c8-4e97f074c7ef",
"created" : "2026-09-29T20:49:15.17477",
"lastModified" : "2026-09-29T20:49:15.174771",
"name" : "default",
"clientId" : "R21ZlugJkbwHPEfeLvcqPOtV9VFcQMYL",
"profileId" : "auth0|6a21dc7aa1db2e036a222942",
"accessToken" : "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6IlJFRkNRamczTlRRMk16QTROalpHT0RjNFFUWkJOemMyTkRGR1FUSkVOVEEyUkRkR1JrSkRPQSJ9.eyJpc3MiOiJodHRwczovL2lkZW50aXR5Lm1hdGF0aWthLmNvbS8iLCJzdWIiOiJSMjFabHVnSmtid0hQRWZlTHZjcVBPdFY5VkZjUU1ZTEBjbGllbnRzIiwiYXVkIjoiaHR0cHM6Ly9hcHAubWF0YXRpa2EuY29tL2FwaSIsImlhdCI6MTc5MDcxNDk1NiwiZXhwIjoxNzkwODAxMzU2LCJndHkiOiJjbGllbnQtY3JlZGVudGlhbHMiLCJhenAiOiJSMjFabHVnSmtid0hQRWZlTHZjcVBPdFY5VkZjUU1ZTCJ9.O-NW6-MCc9erWrqIWGabnwrjBlCYv0nQi0bpdcXFECbIsHOKG7aB0hcwppoX231ph1nKSrUteFlneAnV_LkgpNds62hIQa5wYhJS2HUbVARvGNxE88qcSrUU4opuxKU7dCBJ0iDTpuMOkBfFmq2xZAbPVwsic_KCUsoP5uqCgCqBrY9lcYL7OuqzJ-7K57Q06XS1FHljyo7EN8RqcnvOdxlFmrhbbScG37EvHOynNWHCsXHqEZLl5AOhEhDDAwBI5lRwwcKNjOrTIrkbm7V7iFWJzFrnCV3V6VBR42LvVB6Q-Va8d-LTYvFbt1lZksZ3DFojwW54WvW6_MEChgCSUg",
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/apikeys/403d340f-f89d-4b3b-a7c8-4e97f074c7ef"
},
"update apikey" : {
"href" : "https://app.meltano.com/api/apikeys/403d340f-f89d-4b3b-a7c8-4e97f074c7ef"
},
"delete apikey" : {
"href" : "https://app.meltano.com/api/apikeys/403d340f-f89d-4b3b-a7c8-4e97f074c7ef"
},
"profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
}
}
}, {
"id" : "21142d39-e79f-4689-9c83-07bf53edd552",
"created" : "2026-09-29T20:49:16.504877",
"lastModified" : "2026-09-29T20:49:16.504878",
"name" : "SIT-generated api key (2026-09-29T20:49:16.432072622)",
"clientId" : "19kIkoRZ1iPx3aTO6nQCTJLA7GnFZY7R",
"profileId" : "auth0|6a21dc7aa1db2e036a222942",
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/apikeys/21142d39-e79f-4689-9c83-07bf53edd552"
},
"update apikey" : {
"href" : "https://app.meltano.com/api/apikeys/21142d39-e79f-4689-9c83-07bf53edd552"
},
"delete apikey" : {
"href" : "https://app.meltano.com/api/apikeys/21142d39-e79f-4689-9c83-07bf53edd552"
},
"profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/apikeys?page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 2,
"totalPages" : 1,
"number" : 0
}
}

View an API key​

GET /api/apikeys/{apikey-id}

Returns the API key {apikey-id}.

Prerequisites​

  • The authenticated user must own a Meltano Cloud account
  • The API key {apikey-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/apikeys/21142d39-e79f-4689-9c83-07bf53edd552' -i -X GET

Response​

200 OK

API key with HAL links.

{
"id" : "21142d39-e79f-4689-9c83-07bf53edd552",
"created" : "2026-09-29T20:49:16.504877",
"lastModified" : "2026-09-29T20:49:16.504878",
"name" : "SIT-generated api key (2026-09-29T20:49:16.432072622)",
"clientId" : "19kIkoRZ1iPx3aTO6nQCTJLA7GnFZY7R",
"profileId" : "auth0|6a21dc7aa1db2e036a222942",
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/apikeys/21142d39-e79f-4689-9c83-07bf53edd552"
},
"update apikey" : {
"href" : "https://app.meltano.com/api/apikeys/21142d39-e79f-4689-9c83-07bf53edd552"
},
"delete apikey" : {
"href" : "https://app.meltano.com/api/apikeys/21142d39-e79f-4689-9c83-07bf53edd552"
},
"profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
}
}
}

Initialise an API key​

POST /api/apikeys

Initialises a new API key.

Prerequisites​

  • The authenticated user must own a Meltano Cloud account
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/apikeys' -i -X POST \
-H 'Accept: application/json, application/javascript, text/javascript, text/json' \
-H 'Content-Type: application/json'

Response​

200 OK

API key with HAL links.

{
"id" : "65d3f05f-ba6f-4035-9006-9c1031d9930a",
"created" : "2026-10-01T14:10:40.320700595",
"lastModified" : "2026-10-01T14:10:40.320703415",
"profileId" : "auth0|6a21dc7aa1db2e036a222942",
"_links" : {
"create apikey" : {
"href" : "https://app.meltano.com/api/apikeys/65d3f05f-ba6f-4035-9006-9c1031d9930a"
}
}
}

Create an API key​

PUT /api/apikeys/{apikey-id}

Creates the API key {apikey-id}.

Prerequisites​

  • The authenticated user must own a Meltano Cloud account

Body​

API key resource.

{
"name" : "SIT-generated api key (2026-10-01T14:10:40.380720731)"
}
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/apikeys/65d3f05f-ba6f-4035-9006-9c1031d9930a' -i -X PUT \
-H 'Accept: application/json, application/javascript, text/javascript, text/json' \
-H 'Content-Type: application/json' \
-d '{
"name" : "SIT-generated api key (2026-10-01T14:10:40.380720731)"
}'

Response​

201 Created

API key with HAL links.

{
"timestamp" : "2026-10-01T14:10:40.624+00:00",
"status" : 500,
"error" : "Internal Server Error",
"message" : "Request failed with status code 403: You reached the limit of entities of this type for this tenant.",
"path" : "/api/apikeys/65d3f05f-ba6f-4035-9006-9c1031d9930a"
}

Update an API key​

PUT /api/apikeys/{apikey-id}

Updates the API key {apikey-id}.

Prerequisites​

  • The authenticated user must own a Meltano Cloud account

Body​

API key resource.

{
"name" : "SIT-generated api key (2026-09-29T20:49:16.432072622) (updated)"
}
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/apikeys/21142d39-e79f-4689-9c83-07bf53edd552' -i -X PUT \
-H 'Content-Type: application/json' \
-d '{
"name" : "SIT-generated api key (2026-09-29T20:49:16.432072622) (updated)"
}'

Response​

200 OK

API key with HAL links.

{
"id" : "21142d39-e79f-4689-9c83-07bf53edd552",
"created" : "2026-09-29T20:49:16.504877",
"lastModified" : "2026-09-29T20:49:17.782384965",
"name" : "SIT-generated api key (2026-09-29T20:49:16.432072622) (updated)",
"clientId" : "19kIkoRZ1iPx3aTO6nQCTJLA7GnFZY7R",
"profileId" : "auth0|6a21dc7aa1db2e036a222942",
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/apikeys/21142d39-e79f-4689-9c83-07bf53edd552"
},
"update apikey" : {
"href" : "https://app.meltano.com/api/apikeys/21142d39-e79f-4689-9c83-07bf53edd552"
},
"delete apikey" : {
"href" : "https://app.meltano.com/api/apikeys/21142d39-e79f-4689-9c83-07bf53edd552"
},
"profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
}
}
}

Delete an API key​

DELETE /api/apikeys/{apikey-id}

Deletes the API key {apikey-id}.

Prerequisites​

  • The authenticated user must own a Meltano Cloud account
  • The API key {apikey-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/apikeys/21142d39-e79f-4689-9c83-07bf53edd552' -i -X DELETE

Response​

204 No Content

No response body provided.